package javabbuva;

import java.util.ArrayList;
import java.util.List;


// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.CAFFB823-832E-2DE9-8467-8C352DF974A7]
// </editor-fold> 
public class Empleado {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.5B8D48B4-C06F-0CC4-B13E-CA0AEFD67881]
    // </editor-fold> 
    private String nombre;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.ECA38596-CC2C-77CF-7304-274D8D14773E]
    // </editor-fold> 
    private String login;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.1D4521B2-FFFB-D914-3AB2-73A1CAB5AF8F]
    // </editor-fold> 
    private String password;

    private String apellidos;

    private String telefono;

    private int identificador;

    private List<Arqueo> arqueos;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.A2590260-EA99-6CB8-47C8-EEAC67EEA188]
    // </editor-fold> 
    public Empleado () {
        arqueos = new ArrayList();
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.7F97C9D8-13CD-7DC5-5243-7DD12F8E867A]
    // </editor-fold> 
    public String getLogin () {
        return login;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.428FBC60-D829-942D-6C9F-6CEEF357093B]
    // </editor-fold> 
    public void setLogin (String val) {
        this.login = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.2045492F-4F9C-AE87-DD9F-629D018FF93D]
    // </editor-fold> 
    public String getNombre () {
        return nombre;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.B8838A93-2B51-9250-3EC6-9B2D179ACCFC]
    // </editor-fold> 
    public void setNombre (String val) {
        this.nombre = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.A1E63435-DB82-4B01-F4D5-F1C9A511BD9C]
    // </editor-fold> 
    public String getPassword () {
        return password;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.8CE620D4-E737-D6BD-70B7-D2C630F48365]
    // </editor-fold> 
    public void setPassword (String val) {
        this.password = val;
    }

    /**
     * @return the arqueos
     */
    public List<Arqueo> getArqueos() {
        return arqueos;
    }

    /**
     * @param arqueos the arqueos to set
     */
    public void setArqueos(List<Arqueo> arqueos) {
        this.arqueos = arqueos;
    }

    void añadirArqueo(Arqueo arqueo) {
        arqueos.add(arqueo);
    }

    /**
     * @return the apellidos
     */
    public String getApellidos() {
        return apellidos;
    }

    /**
     * @param apellidos the apellidos to set
     */
    public void setApellidos(String apellidos) {
        this.apellidos = apellidos;
    }

    /**
     * @return the telefono
     */
    public String getTelefono() {
        return telefono;
    }

    /**
     * @param telefono the telefono to set
     */
    public void setTelefono(String telefono) {
        this.telefono = telefono;
    }

    /**
     * @return the identificador
     */
    public int getIdentificador() {
        return identificador;
    }

    /**
     * @param identificador the identificador to set
     */
    public void setIdentificador(int identificador) {
        this.identificador = identificador;
    }

    public void crear(String nombre, String apellidos, String telefono, String login, String contraseña) {
        this.setNombre(nombre);
        this.setApellidos(apellidos);
        this.setTelefono(telefono);
        this.setLogin(login);
        this.setPassword(contraseña);
    }

    public String getComparacion(){
        return apellidos+" "+nombre;
    }

}

